Bug 139928 - FILEOPEN XLSX Conditional formatting with multiple different operators incorrect
Summary: FILEOPEN XLSX Conditional formatting with multiple different operators incorrect
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.2.0 target:7.1.2
Keywords: implementationError
Depends on:
Blocks: XLSX-Conditional-Formatting
  Show dependency treegraph
 
Reported: 2021-01-26 15:39 UTC by NISZ LibreOffice Team
Modified: 2021-03-07 18:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Excel (11.13 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-01-26 15:39 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc – rules in column A (123.93 KB, image/png)
2021-01-26 15:40 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc – rules in column D (122.03 KB, image/png)
2021-01-26 15:40 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-01-26 15:39:47 UTC
Created attachment 169152 [details]
Example file from Excel

This is another continuation of bug #120749
If a cell range has several different conditional formatting set with operators “contains” “does not contain” “starts with” or “ends with” then upon import these different operators are imported as a single type.

Steps to reproduce:
    1. Open attached document
    2. Open the Manage Conditional Formatting dialog in Excel and in Calc too

Actual results:
For the range A2:A5 the rules in Excel are: Cell value contains (A8 and A8) + Cell value does not contain (A9 and A110).
For the range D2:D5 the rules in Excel are: Cell value begins with (D7 and D9) + Cell value ends with (D8 and D10).
In Calc the range A2:A5 has only “Cell values does not contain” rules. The range D2:D5 has only “Cell value ends with” rules.

Expected results:
Same rules as in Excel.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 6c8a6b6aa2f962bd2fadbdf27405bfcd7d167fec
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-01-26 15:40:08 UTC
Created attachment 169153 [details]
Screenshot of the original document side by side in Excel and Calc – rules in column A
Comment 2 NISZ LibreOffice Team 2021-01-26 15:40:20 UTC
Created attachment 169154 [details]
Screenshot of the original document side by side in Excel and Calc – rules in column D
Comment 3 Commit Notification 2021-02-15 12:07:37 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a5513cb45d90e0a1bfa0dfe39c0f090f1cda45de

tdf#139928 XLSX import: fix conditional formatting in same cell range

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2021-03-07 18:33:57 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: ee0f845b3d739a6109f08d5c0cd0d839100f6828
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Tibor Nagy, thanks for fixing this issue!!
Comment 5 Commit Notification 2021-03-07 18:34:46 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/46f5c61e937cc34d8d06991137c713f43c241735

tdf#139928 XLSX import: fix conditional formatting in same cell range

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.